
From: Herbert Xu <herbert@gondor.apana.org.au>

By allowing X86_MCE_NONFATAL to be a module, it can be included in
distribution kernels without upsetting those with strange hardware.


---

 25-akpm/arch/i386/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/Kconfig~modular-mce-handler arch/i386/Kconfig
--- 25/arch/i386/Kconfig~modular-mce-handler	Fri Feb 27 15:27:00 2004
+++ 25-akpm/arch/i386/Kconfig	Fri Feb 27 15:27:00 2004
@@ -562,7 +562,7 @@ config X86_MCE
 	  the 386 and 486, so nearly everyone can say Y here.
 
 config X86_MCE_NONFATAL
-	bool "Check for non-fatal errors on AMD Athlon/Duron / Intel Pentium 4"
+	tristate "Check for non-fatal errors on AMD Athlon/Duron / Intel Pentium 4"
 	depends on X86_MCE
 	help
 	  Enabling this feature starts a timer that triggers every 5 seconds which

_
